uclibc (1.0.35-1) unstable; urgency=medium

  * New upstream release 1.0.35

 -- Héctor Orón Martínez <zumbi@debian.org>  Sat, 29 Aug 2020 04:35:19 +0200

uclibc (1.0.31-1) unstable; urgency=medium

  [ Héctor Orón Martínez ]
  * New upstream version 1.0.31

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 08 Feb 2019 19:54:13 +0100

uclibc (1.0.20-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Find linux headers in multiarch locations.
      (Closes: #808542)
  * Enable verbose build logs.
      (Closes: #808543)

  [ Chris Lamb ]
  * Make the build reproducible.
      (Closes: #778216)

  [ Héctor Orón Martínez ]
  * Drop mentions of run-time libs in source binary package description.
      (Closes: #641680)
  * Add Vcs-* fields, as Vcs has been restored.
  * Update debian watch for newer upstream.
  * Add gbp configuration file.

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 19 Dec 2016 01:01:33 +0100

uclibc (1.0.20-1) unstable; urgency=medium

  * New upstream release:
    - Switch to uClibc-ng source codebase.
    - Old uClibc is no longer under development.
  * Bump standards version.
  * Update myself on uploaders field.
  * Update homepage, drop Vcs-* as those are no longer available.
  * Drop unused packages from control file
  * Update version in rules file
  * Rename uclibc-source tarball to uClibc-ng-*
  * Switch uclibc-source tarball to xz compression.

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 18 Dec 2016 23:57:16 +0100

uclibc (0.9.32-1) unstable; urgency=low

  * New upstream release
  * Add myself as maintainer
  * Bump standards version 
  * Add Vcs-Git, Vcs-Browser and Homepage fields
  * Add watch file 

 -- Hector Oron <zumbi@debian.org>  Sat, 11 Jun 2011 03:06:20 +0100

uclibc (0.9.30.2-1) unstable; urgency=low

  * New upstream release

 -- Simon Richter <sjr@debian.org>  Mon, 08 Mar 2010 16:34:07 +0100

uclibc (0.9.30.1-2) unstable; urgency=low

  * Add actual binary packages on uclibc-linux-* architectures

 -- Simon Richter <sjr@debian.org>  Sat, 12 Dec 2009 18:05:11 +0100

uclibc (0.9.30.1-1) unstable; urgency=low

  * Redo the packaging, again.
  * Only build uclibc-source package on Debian arches for now

 -- Simon Richter <sjr@debian.org>  Mon,  7 Dec 2009 18:13:57 +0100

uclibc (0.9.30-1) unstable; urgency=low

  * New upstream version
  * Use linux-libc-dev package instead of linux-source
  * Build 32/64 bit and multilib variants

 -- Simon Richter <sjr@debian.org>  Sun, 23 Nov 2008 18:59:25 +0100

uclibc (0.9.28.3-1) unstable; urgency=low

  * New upstream version
  * Repackaged from the ground up
    + Now supports cross compilation
    + Probably lots of bugs introduced

 -- Simon Richter <sjr@debian.org>  Thu, 11 Oct 2007 17:43:50 +0200

uclibc (0.9.27-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU (Closes: #268989) and fix the bug it caused
    (Closes: #284326)
  * Add gross versioned dependency for gcc-3.3, and make sure we use
    gcc-3.3 in the gcc wrapper. (Closes: #304806)

 -- David Schleef <ds@schleef.org>  Mon, 18 Apr 2005 13:29:53 -0700

uclibc (0.9.26-cvs20040816-5.1) unstable; urgency=high

  * Non-Maintainer Upload.
  * Add libuclibc-dev to uclibc-toolchain's Depends:. (Closes: #268989)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 14 Sep 2004 01:23:12 +0200

uclibc (0.9.26-cvs20040816-5) unstable; urgency=low

  * debian/rules: fix up headers from linux-kernel-headers, since
    they contain conflicting definitions.

 -- David Schleef <ds@schleef.org>  Wed, 25 Aug 2004 01:26:31 -0600

uclibc (0.9.26-cvs20040816-4) unstable; urgency=low

  * libc/sysdeps/linux/arm/bits/kernel_types.h: Add hack for
    __kernel_dev_t typedef conflict with /usr/include headers.
  * libc/sysdeps/linux/common/madvise.c: pull patch from HEAD to
    make use of __NR_madvise conditional on its definition.
  * debian/rules: prefix should be DEB_HOST_GNU_CPU instead of
    TARGET_ARCH
  * debian/gcc-uClibc/Makefile: likewise

 -- David Schleef <ds@schleef.org>  Mon, 23 Aug 2004 14:05:48 -0700

uclibc (0.9.26-cvs20040816-3) unstable; urgency=low
  
  * extra/Configs/Config.m68k: remove inclusion of kernel source
    directory, since no other architecture does this and it causes
    problems if our kernel source dir is /usr/include
  * extra/Configs/Config.mipsel: use TARGET_ARCH=mips
  * debian/rules: don't set TARGET_ARCH, since it's set correctly
    in the config file.

 -- David Schleef <ds@schleef.org>  Thu, 19 Aug 2004 15:56:26 -0700

uclibc (0.9.26-cvs20040816-2) unstable; urgency=low

  * Revert typedefs for __kernel_old_dev_t, since it's in upstream
    now.

 -- David Schleef <ds@schleef.org>  Wed, 18 Aug 2004 13:34:14 -0700

uclibc (0.9.26-cvs20040816-1) unstable; urgency=low

  * Update to recent CVS snapshot on the advice of upstream.

 -- David Schleef <ds@schleef.org>  Mon, 16 Aug 2004 19:35:42 -0700

uclibc (0.9.26-5) unstable; urgency=low

  * README.Debian: fix mistake in name of compiler. (Closes: #264163)
  * Use linux-kernel-headers instead of untarring the kernel source.
    This should fix FTBTS problems that were caused by the kernel
    upgrade. (Closes: #261318)
  * Fix extra /'s in directories (Closes: #244704)
  * Add mips 2.6 support patch from Thiemo Seufer

 -- David Schleef <ds@schleef.org>  Mon, 16 Aug 2004 12:38:12 -0700

uclibc (0.9.26-4) unstable; urgency=low

  * Bump kernel-source build dep to 2.4.26 (Closes: #253528)

 -- David Schleef <ds@schleef.org>  Mon, 12 Jul 2004 16:58:57 -0700

uclibc (0.9.26-3.1) unstable; urgency=low

  * NMU during BSP
  * Really, really fix build on all architectures (Closes: #235014)

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 26 Mar 2004 15:51:33 +0100

uclibc (0.9.26-3) unstable; urgency=low

  * No, really.  Fix sparc compile problems (Closes: #235014)

 -- David Schleef <ds@schleef.org>  Tue, 02 Mar 2004 17:39:58 -0800

uclibc (0.9.26-2) unstable; urgency=low

  * Fix sparc compile problems (Closes: #235014)

 -- David Schleef <ds@schleef.org>  Thu, 26 Feb 2004 17:26:29 -0800

uclibc (0.9.26-1) unstable; urgency=low

  * New upstream release(s).  (Closes: #225507)
  * Add typedefs for __kernel_old_dev_t.  (Closes: #234374)

 -- David Schleef <ds@schleef.org>  Wed, 25 Feb 2004 14:47:53 -0800

uclibc (0.9.23-1) unstable; urgency=low

  * New upstream release.  Should fix build problems on m68k
    (Closes: #217761).
  * Change installation directory to /usr/$(arch)-uclibc-linux
    instead of -linux-uclibc.  This makes it easier to build
    toolchains with these packages.
  * The gcc wrapper has been removed upstream, but it's been
    copied locally until a transition is decided.  It is likely
    that uclibc-toolchain will be removed in the next upload.

 -- David Schleef <ds@schleef.org>  Wed, 12 Nov 2003 15:41:06 -0800

uclibc (0.9.21-2) unstable; urgency=low

  * enable a bunch of new options.
  * print the config file after 'make config'.  This should help
    debugging m68k build failures if the first change doesn't
    fix it.

 -- David Schleef <ds@schleef.org>  Thu, 02 Oct 2003 15:07:27 -0700

uclibc (0.9.21-1) unstable; urgency=low

  * New upstream version.
  * Added text to README.Debian about how to use uclibc-toolchain.
  * Switch to using kernel-source-2.4.22
  * Upgrade standards version to 3.6.1
  * extra/scripts/fix_includes.sh: requires /bin/bash

 -- David Schleef <ds@schleef.org>  Thu, 18 Sep 2003 10:07:46 -0700

uclibc (0.9.20-2) unstable; urgency=low

  * Turn off UCLIBC_PROFILING because it's causing build problems on
    arm.

 -- David Schleef <ds@schleef.org>  Wed, 02 Jul 2003 19:12:36 -0700

uclibc (0.9.20-1) unstable; urgency=low

  * New upstream release.

 -- David Schleef <ds@schleef.org>  Tue, 01 Jul 2003 12:16:31 -0700

uclibc (0.9.19-1) unstable; urgency=low

  * New upstream version.
  * Disable ctor/dtor in gcc wrapper, which effectively disables
    C++ support in the wrapper.  Shouldn't be a big problem, since
    there are other problems with using the wrapper with C++.  Erik
    recommends building a complete toolchain. (Closes: #181783).

 -- David Schleef <ds@schleef.org>  Mon, 03 Mar 2003 12:13:47 -0800

uclibc (0.9.18-1) unstable; urgency=low

  * New upstream release
  * Update to kernel-source-2.4.20
  * Upgrade .shlib dependencies
  * Enable IPv6 and other options (Closes: #174092)
  * Remove build directory from ld script (Closes: #161474)
  * Add/fix /lib/ld-uClibc.so.0 symlink

 -- David Schleef <ds@schleef.org>  Wed, 12 Feb 2003 12:40:38 -0800

uclibc (0.9.16-6) unstable; urgency=low

  * Reenable FPU and C99 math support that were accidentally
    disabled in the move to 0.9.16. (Closes: #171359, #172686)
  * Fix ${arch}-uclibc-xx installation directory (should be /usr/bin)
  * Make ldd work with dh_shlibdeps (Closes: #171282, #171287)

 -- David Schleef <ds@schleef.org>  Wed, 11 Dec 2002 15:55:52 -0800

uclibc (0.9.16-5) unstable; urgency=low

  * (Attempt #2) Removed some default flags on sparc.

 -- David Schleef <ds@schleef.org>  Wed, 27 Nov 2002 13:56:39 -0800

uclibc (0.9.16-4) unstable; urgency=low

  * Removed some default flags on m68k and sparc, since they don't
    work with the standard gcc.
  * Stripped quotes around ARCH_CFLAGS

 -- David Schleef <ds@schleef.org>  Fri, 22 Nov 2002 15:15:25 -0800

uclibc (0.9.16-3) unstable; urgency=low

  * Got the last change wrong.
  * Enabled alpha build.

 -- David Schleef <ds@schleef.org>  Thu, 21 Nov 2002 16:24:27 -0800

uclibc (0.9.16-2) unstable; urgency=low

  * Disable shared lib loader on m68k and sparc

 -- David Schleef <ds@schleef.org>  Wed, 20 Nov 2002 19:45:31 -0800

uclibc (0.9.16-1) unstable; urgency=low

  * New upstream release (Closes: #169650, #169547)
  * Rewrote much of the installation code to use dh_ more
  * Removed gasp man page link (Closes: #169648)
  * Upstream uses new configuration method (Closes: #169513)

 -- David Schleef <ds@schleef.org>  Mon, 18 Nov 2002 11:32:43 -0800

uclibc (0.9.12-2) unstable; urgency=low

  * Make sure MAS_MMU=true on m68k

 -- David Schleef <ds@schleef.org>  Thu, 27 Jun 2002 15:04:59 -0700

uclibc (0.9.12-1) unstable; urgency=low

  * New upstream release.
  * Attempt to fix MIPS build again. (Closes: #150313)

 -- David Schleef <ds@schleef.org>  Mon, 24 Jun 2002 16:26:18 -0700

uclibc (0.9.11-cvs20020619-1) unstable; urgency=low

  * This is an automatic snapshot of uClibc CVS
  * new snapshot
  * MIPS build should have been fixed in the last entry, which
    was not actually uploaded (Closes: #150313).

 -- David Schleef <ds@schleef.org>  Wed, 19 Jun 2002 11:45:59 -0700

uclibc (0.9.11-cvs20020420-1) unstable; urgency=low

  * Many of the configs have broken CROSS definitions.  Compensate
    for that in debian/rules.

 -- David Schleef <ds@schleef.org>  Sat, 20 Apr 2002 15:40:39 -0700

uclibc (0.9.11-cvs20020419-1) unstable; urgency=low

  * new upstream snapshot
    - should fix build on sparc and m68kk (Closes: #142708)
  * I wanted to have a debian package for the 0.9.11 release, but
    that was rather broken on PowerPC.
  * Updated kernel source to 2.4.18

 -- David Schleef <ds@schleef.org>  Fri, 19 Apr 2002 10:15:59 -0700

uclibc (0.9.10-cvs20020406-1) unstable; urgency=low

  * new upstream snapshot
    - should fix build on mips
  * updated shlibs to 0.9.10, since it was broken previously (actually
    was done in previous upload)
  * create top-level lib/, for safety

 -- David Schleef <ds@schleef.org>  Sat,  6 Apr 2002 14:34:41 -0800

uclibc (0.9.10-1) unstable; urgency=low

  * New upstream release (Closes: #140295)

 -- David Schleef <ds@schleef.org>  Thu, 28 Mar 2002 11:25:17 -0800

uclibc (0.9.9-cvs20020221-2) unstable; urgency=low

  * debian/rules: touch linux/autoconf.h.  Should make us buildable
    on arm.
  * add build-dep on bzip2

 -- David Schleef <ds@schleef.org>  Sun, 24 Feb 2002 17:26:37 -0800

uclibc (0.9.9-cvs20020221-1) unstable; urgency=low

  * New upstream snapshot
  * Add subarchitecture symlinks on arm
  * Use mips config file on mipsel

 -- David Schleef <ds@schleef.org>  Thu, 21 Feb 2002 23:11:23 -0800

uclibc (0.9.9-cvs20020210-1) unstable; urgency=low

  * New upstream snapshot.
  * debian/mksnapshot: updated version and filenames
  * debian/control.in: changed dependency from kernel-headers to
      kernel-source.
  * debian/rules: force HAS_MMU=true
  * debian/rules: change mipsel to mips
  * debian/rules: untar kernel-source include directory and use
      that as kernel source.
  * Previous 3 lines should fix autobuildability (Closes: #131373)

 -- David Schleef <ds@schleef.org>  Sun, 10 Feb 2002 17:11:22 -0800

uclibc (0.9.5-cvs20011117-1) unstable; urgency=low

  * New upstream snaphot
  * mksnapshot (new): script to generate snapshots from upstream CVS
  * control, control.in: limited architectures to those that can
      theoretically build.  Updated kernel-headers dependency to
      -2.4.10 -- this may cause problems with autobuilders.
  * fixlinks (new): script to fix up symlinks to comply with policy.
      Decreases number of lintian complaints.
  * rules: use fixlinks.  Fix method of finding kernel headers --
      should increase potential autobuildability.
  * uclibc-ldd.1, uclibc-readelf.1: Bogus updates to bogus man pages.
      These really need to be written.

 -- David Schleef <ds@schleef.org>  Sat, 17 Nov 2001 18:10:33 -0800

uclibc (0.9.5-cvs20011011-1) unstable; urgency=low

  * Closes #104243

 -- David Schleef <ds@schleef.org>  Thu, 11 Oct 2001 13:29:02 -0700

uclibc (0.9.5-cvs20010702-1) unstable; urgency=low

  * Build from CVS
  * Can create cross-compiling library (but not cross packages)

 -- David Schleef <ds@schleef.org>  Mon,  2 Jul 2001 23:16:20 -0700

uclibc (0.9.5-cvs20010630-1) unstable; urgency=low

  * No, really.  Initial Release.  I mean it this time.
  * Clean up patch.

 -- David Schleef <ds@schleef.org>  Sat, 30 Jun 2001 17:12:41 -0700

uclibc (0.9.5-cvs20010626-1) unstable; urgency=low

  * No, really.  Initial Release.

 -- David Schleef <ds@schleef.org>  Thu, 28 Jun 2001 16:49:25 -0700

uclibc (0.9.5-cvs20010625-1) unstable; urgency=low

  * Initial Release.

 -- David Schleef <ds@schleef.org>  Mon, 25 Jun 2001 22:13:43 -0700

